---
title: "BillingFeatureChangeRequest"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/schemas/BillingFeatureChangeRequest"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# BillingFeatureChangeRequest

Request body for billing feature change validation (POST `/bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/validation` and policy API alias).

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
components:
  schemas:
    BillingFeatureChangeTransactionReason:
      type: string
      enum:
        - AMOUNT
        - FREQUENCY
        - PAYMENTDUEDATE
      description: Reason for initiating the billing feature change transaction
      example: AMOUNT
    BillingFeatureChangePolicyFeature:
      type: object
      description: Billing policy feature details for the change request
      properties:
        featureType:
          type: string
          enum:
            - BILLING
          description: Type of the policy feature
          example: BILLING
        paymentAmount:
          type: number
          format: double
          description: Billing payment amount
          example: 1000
        approvalDate:
          type: string
          format: date
          description: Date on which the feature change was approved
          example: 2026-07-24
        frequency:
          $ref: "#/components/schemas/Frequency"
      required:
        - featureType
    BillingFeatureChangeSignature:
      type: object
      description: Signature details for billing feature change
      properties:
        isSignedPresent:
          type: boolean
          example: true
        signDate:
          type: string
          format: date
          nullable: true
          example: 2026-06-26
        signDesignation:
          type: string
          nullable: true
        signType:
          type: string
          description: Signature type code
          example: OWNER
        signTypeForUI:
          type: string
          description: Signature type label for UI display
          example: Owner
    BillingFeatureChangeDocument:
      type: object
      description: Supporting document reference for billing feature change
      properties:
        documentId:
          type: string
          example: DOC123456
        documentType:
          type: string
          example: NFO_FORM
        documentDate:
          type: string
          format: date
          example: 2026-06-26
        caseId:
          type: string
          example: CA0000007389
        policyNumber:
          type: string
          example: WL987654321
        planCode:
          type: string
          example: WL1001
    Frequency:
      type: string
      enum:
        - DAILY
        - EVERYTWOWEEKS
        - MONTHLY
        - SEMIANNUAL
        - BIANNUAL
        - QUARTERLY
        - ANNUAL
        - SINGLEPAYMENT
        - DEFAULT
      description: frequency
    BillingFeatureChangeRequest:
      type: object
      description: |
        Request body for billing feature change validation
        (POST `/bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/validation`
        and policy API alias).
      properties:
        planCode:
          type: string
          description: Plan code (may duplicate path parameter)
        policyNumber:
          type: string
          description: Policy number (may duplicate path parameter)
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
        correlationId:
          type: string
          description: The unique ID to track transaction request across all systems
          example: e3bdb22b-790f-4357-ae60-42cdb0ff0d12
        carrierId:
          type: string
          example: FNWL
          description: Carrier identifier
        effectiveDate:
          type: string
          format: date
          example: 2026-07-24
          description: Effective date for the billing feature change
        transactionReason:
          $ref: "#/components/schemas/BillingFeatureChangeTransactionReason"
        policyFeatures:
          type: array
          minItems: 1
          description: Billing feature lines for the request
          items:
            $ref: "#/components/schemas/BillingFeatureChangePolicyFeature"
        signatures:
          type: array
          description: Signatures associated with the billing feature change
          items:
            $ref: "#/components/schemas/BillingFeatureChangeSignature"
        documents:
          type: array
          description: Supporting documents for the billing feature change
          items:
            $ref: "#/components/schemas/BillingFeatureChangeDocument"
        selfServeFlow:
          type: boolean
          description: Whether the request originated from a self-serve flow
          example: true
        supportingDocumentAttached:
          type: boolean
          description: Indicates whether supporting documents are attached
          example: true
      required:
        - effectiveDate
        - policyFeatures
```
